Unify query builders

2010-08-27 04:17 AM - Alister Hood

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13030

Description

Queries are currently case sensitive e.g. if you search for CNAME = 'Massey' it won't find objects with CNAME = 'MASSEY'

It would be good if query's could be case insensitive instead.

This could perhaps be optional, although I imagine most people would prefer the option on most of the time :)

Associated revisions

Revision 2019d63b - 2010-08-27 01:37 PM - Jürgen Fischer

add lower/upper support to search string (fixes #2970)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14154 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d2cb8b28 - 2010-08-27 01:37 PM - Jürgen Fischer

add lower/upper support to search string (fixes #2970)

git-svn-id: http://svn.osgeo.org/qgis/trunk@14154 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-08-27 04:35 AM - Borys Jurgiel

Use a common query builder for filtering layer features and selecting features. 

I.e. add Save/Load button to the former and ILIKE button to the latter.

#2 - 2010-08-27 04:43 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

added lower() and upper() in .  You can use upper(CNAME)='MASSEY' now (just like in postgres or spatialite).

Replying to [comment:1 borysiasty]:

Use a common query builder for filtering layer features and selecting features. 

I.e. add Save/Load button to the former and ILIKE button to the latter.
The queries are implemented differently.  The search query builder uses the internal search string processor and operates independently from the

provider.

The "normal" query builder sets the layers subset string and operates on provider level.

#3 - 2010-08-27 04:55 AM - Borys Jurgiel

I'm just proposing to add the ILIKE functionality to the search query builder. The upper(CNAME) LIKE 'MASS%' is a bit inconvenient. Is there any reason to

not keeping such ticket open?

#4 - 2010-08-27 08:12 AM - Jürgen Fischer

Replying to [comment:3 borysiasty]:

I'm just proposing to add the ILIKE functionality to the search query builder. The upper(CNAME) LIKE 'MASS%' is a bit inconvenient. Is there any

reason to not keeping such ticket open?

You just changed the description while I was busy fixing it - the original bug.

ILIKE, IN and NOT IN added in commit:1cbad878 (SVN r14157).  Therefore some disabled buttons could be enabled.

#5 - 2010-08-27 03:08 PM - Borys Jurgiel

Thanks! It's perfect now :)

#6 - 2010-09-01 05:20 PM - Alister Hood

Thanks, that sounds good.

Replying to [comment:2 jef]:

The queries are implemented differently.  The search query builder uses the internal search string processor and operates independently from the

provider.

The "normal" query builder sets the layers subset string and operates on provider level.

What does this actually mean?  Are the capabilities of the "normal" query builder different depending on the provider?

#7 - 2010-09-01 09:58 PM - Jürgen Fischer

Replying to [comment:6 Alister]:

The "normal" query builder sets the layers subset string and operates on provider level.

What does this actually mean?  Are the capabilities of the "normal" query builder different depending on the provider?
Yes.  You can enter whatever queries the provider supports (eg. rather complex where clauses for the postgis or spatialite case).
